drop table clerk cascade;
drop table shop cascade;
drop table area cascade;

create table area (
	code integer primary key,
	name text not null
);
insert into area values(1, '֓');
insert into area values(2, '֐');
insert into area values(3, 'B');

create table shop (
	a_code integer references area(code),
	code integer,
	name text not null,
	primary key(a_code, code)
);
insert into shop values(1, 1, 'X');
insert into shop values(1, 2, 'lX');
insert into shop values(1, 3, '{X');
insert into shop values(1, 4, 'tX');
insert into shop values(2, 1, 'X');
insert into shop values(2, 2, 'sX');
insert into shop values(2, 3, '_˓X');
insert into shop values(2, 4, 'ޗǓX');
insert into shop values(3, 1, 'X');
insert into shop values(3, 2, '啪X');
insert into shop values(3, 3, 'X');
insert into shop values(3, 4, 'F{X');

create table clerk (
	a_code integer,
	s_code integer,
	code integer,
	name text not null,
	sales integer not null check (sales > 0),
	primary key(a_code, s_code, code),
	foreign key(a_code, s_code) references shop(a_code, code)
);
\copy clerk from clerk.dat csv
