drop table assign cascade;
drop table teacher cascade;
drop table educand cascade;
drop table subject cascade;

create table subject (
	code integer primary key,
	name text not null
);
insert into subject values(1, 'w');
insert into subject values(2, '');
insert into subject values(3, 'w');

create table educand (
	code integer primary key,
	name text not null
);
insert into educand values(1, 'zJY~');
insert into educand values(2, 'vۓc');
insert into educand values(3, 'ˎі퍁');
insert into educand values(4, '쑺qL');
insert into educand values(5, 'ɋvN');
insert into educand values(6, 'cؔ');
insert into educand values(7, 'RciIg');
insert into educand values(8, 'cbq');
insert into educand values(9, 'LY');

create table teacher (
	code integer primary key,
	name text not null,
	s_code integer references subject(code),
	unique (code, s_code)
);
insert into teacher values(1, 'MF', 1);
insert into teacher values(2, 'G', 2);
insert into teacher values(3, '䌪', 3);
insert into teacher values(4, 'p', 3);
insert into teacher values(5, 'ďr', 2);
insert into teacher values(6, 'LS', 1);

create table assign (
	e_code integer references educand(code),
	s_code integer,
	t_code integer,
	primary key (e_code, s_code),
	foreign key (s_code, t_code) references teacher(s_code, code)
);
insert into assign values(1, 1, 1);
insert into assign values(1, 3, 4);
insert into assign values(2, 1, 6);
insert into assign values(2, 2, 2);
insert into assign values(2, 3, 3);
insert into assign values(3, 1, 1);
insert into assign values(4, 1, 6);
insert into assign values(4, 2, 2);
insert into assign values(4, 3, 4);
insert into assign values(5, 1, 1);
insert into assign values(5, 2, 5);
insert into assign values(6, 1, 6);
insert into assign values(6, 2, 2);
insert into assign values(7, 1, 6);
insert into assign values(7, 2, 5);
insert into assign values(8, 1, 1);
insert into assign values(8, 2, 2);
insert into assign values(8, 3, 4);
insert into assign values(9, 1, 6);
insert into assign values(9, 2, 5);
insert into assign values(9, 3, 3);
